import request from '@/utils/request'

// 查询设备完整性压缩机台账列表
export function listYsj(query) {
  return request({
    url: '/intact/ysj/list',
    method: 'get',
    params: query
  })
}

// 查询设备完整性压缩机台账详细
export function getYsj(id) {
  return request({
    url: '/intact/ysj/' + id,
    method: 'get'
  })
}

// 新增设备完整性压缩机台账
export function addYsj(data) {
  return request({
    url: '/intact/ysj',
    method: 'post',
    data: data
  })
}

// 修改设备完整性压缩机台账
export function updateYsj(data) {
  return request({
    url: '/intact/ysj',
    method: 'put',
    data: data
  })
}

// 删除设备完整性压缩机台账
export function delYsj(id) {
  return request({
    url: '/intact/ysj/' + id,
    method: 'delete'
  })
}

// 导出设备完整性压缩机台账
export function exportYsj(query) {
  return request({
    url: '/intact/ysj/export',
    method: 'get',
    params: query
  })
}